package com.jdbernard.timestamper

import java.awt.Color
import java.awt.GridBagConstraints

application(title:'TimeStamper',
  //size:[320,480],
  pack:true,
  //location:[50,50],
  undecorated:true,
  locationByPlatform:true,
  iconImage: imageIcon('/appointment-new-32x32.png').image,
  iconImages: [imageIcon('/appointment-new-32x32.png').image,
               imageIcon('/appointment-new-16x16.png').image]
) {
    panel(
      border:lineBorder(color:Color.BLACK, thickness:2, parent:true)
    ) {
        vbox() {
            hbox() {
                label("Current task started at ")
                label("00:00:00")
                hglue()
                button("Menu")
                button("Exit")
            }
            panel () {
                gridBagLayout()

                textField("Task name", constraints:gbc(gridx:0, gridy:0,
                    gridwidth:2, fill:GridBagConstraints.HORIZONTAL))
                button("Notes", constraints:gbc(gridx:2, gridy:0,
                    fill:GridBagConstraints.NONE))
                button("Timeline", constraints:gbc(gridx:3, gridy:0,
                    fill:GridBagConstraints.NONE))
                label("12:34:56", constraints:gbc(gridx:0, gridy:1))
            }
        }
    }
}
